Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.index.bintree
Class NodeBase

    java.lang.Object
      com.vividsolutions.jts.index.bintree.NodeBase

Direct Known Subclasses:
  Node, Root

public abstract class NodeBase
extends java.lang.Object

The base class for nodes in a `Bintree`.

Version:
  1.7

Field Summary
`protected java.util.List` | `items`
`protected Node[]` | `subnode` subnodes are numbered as follows: 0 | 1

Constructor Summary
`NodeBase()`

Method Summary
`void` | `add(java.lang.Object item)`
`java.util.List` | `addAllItems(java.util.List items)`
`java.util.List` | `addAllItemsFromOverlapping(Interval interval, java.util.Collection resultItems)`
`java.util.List` | `getItems()`
`static int` | `getSubnodeIndex(Interval interval, double centre)` Returns the index of the subnode that wholely contains the given interval.
`protected abstract boolean` | `isSearchMatch(Interval interval)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### items

    protected java.util.List items

### subnode

    protected Node[] subnode

  subnodes are numbered as follows: 0 | 1

Constructor Detail

### NodeBase

    public NodeBase()

Method Detail

### getSubnodeIndex

    public static int getSubnodeIndex(Interval interval,
                                      double centre)

  Returns the index of the subnode that wholely contains the given interval. If none does, returns -1.

### getItems

    public java.util.List getItems()

### add

    public void add(java.lang.Object item)

### addAllItems

    public java.util.List addAllItems(java.util.List items)

### isSearchMatch

    protected abstract boolean isSearchMatch(Interval interval)

### addAllItemsFromOverlapping

    public java.util.List addAllItemsFromOverlapping(Interval interval,
                                                     java.util.Collection resultItems)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD